-- Copyright (C) 1991-2013 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II 64-Bit"
-- VERSION "Version 13.1.0 Build 162 10/23/2013 SJ Web Edition"

-- DATE "12/02/2014 17:31:47"

-- 
-- Device: Altera EP4CE22F17C6 Package FBGA256
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY CYCLONEIVE;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE CYCLONEIVE.CYCLONEIVE_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	dsmc_demo_FSM IS
    PORT (
	CLOCK_50 : IN std_logic;
	LED : OUT std_logic_vector(7 DOWNTO 0);
	GPIO_0 : INOUT std_logic_vector(33 DOWNTO 0);
	GPIO_0_IN : IN std_logic_vector(1 DOWNTO 0);
	GPIO_1 : INOUT std_logic_vector(33 DOWNTO 0);
	GPIO_1_IN : IN std_logic_vector(1 DOWNTO 0)
	);
END dsmc_demo_FSM;

-- Design Ports Information
-- LED[0]	=>  Location: PIN_A15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LED[1]	=>  Location: PIN_A13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LED[2]	=>  Location: PIN_B13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LED[3]	=>  Location: PIN_A11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LED[4]	=>  Location: PIN_D1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LED[5]	=>  Location: PIN_F3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LED[6]	=>  Location: PIN_B1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- LED[7]	=>  Location: PIN_L3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0_IN[0]	=>  Location: PIN_A8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- GPIO_0_IN[1]	=>  Location: PIN_B8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- GPIO_1_IN[0]	=>  Location: PIN_T9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- GPIO_1_IN[1]	=>  Location: PIN_R9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- GPIO_0[1]	=>  Location: PIN_C3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[2]	=>  Location: PIN_A2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[3]	=>  Location: PIN_A3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[4]	=>  Location: PIN_B3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[5]	=>  Location: PIN_B4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[6]	=>  Location: PIN_A4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[7]	=>  Location: PIN_B5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[8]	=>  Location: PIN_A5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[9]	=>  Location: PIN_D5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[10]	=>  Location: PIN_B6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[11]	=>  Location: PIN_A6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[12]	=>  Location: PIN_B7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[14]	=>  Location: PIN_A7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[15]	=>  Location: PIN_C6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[16]	=>  Location: PIN_C8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[17]	=>  Location: PIN_E6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[18]	=>  Location: PIN_E7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[19]	=>  Location: PIN_D8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[20]	=>  Location: PIN_E8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[21]	=>  Location: PIN_F8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[22]	=>  Location: PIN_F9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[23]	=>  Location: PIN_E9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[24]	=>  Location: PIN_C9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[25]	=>  Location: PIN_D9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[26]	=>  Location: PIN_E11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[27]	=>  Location: PIN_E10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[28]	=>  Location: PIN_C11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[29]	=>  Location: PIN_B11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[30]	=>  Location: PIN_A12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[31]	=>  Location: PIN_D11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[32]	=>  Location: PIN_D12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[33]	=>  Location: PIN_B12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[0]	=>  Location: PIN_F13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[1]	=>  Location: PIN_T15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[2]	=>  Location: PIN_T14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[3]	=>  Location: PIN_T13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[4]	=>  Location: PIN_R13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[5]	=>  Location: PIN_T12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[6]	=>  Location: PIN_R12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[7]	=>  Location: PIN_T11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[8]	=>  Location: PIN_T10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[9]	=>  Location: PIN_R11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[10]	=>  Location: PIN_P11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[11]	=>  Location: PIN_R10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[12]	=>  Location: PIN_N12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[13]	=>  Location: PIN_P9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[14]	=>  Location: PIN_N9,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[15]	=>  Location: PIN_N11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[16]	=>  Location: PIN_L16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[17]	=>  Location: PIN_K16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[18]	=>  Location: PIN_R16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[19]	=>  Location: PIN_L15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[20]	=>  Location: PIN_P15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[21]	=>  Location: PIN_P16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[22]	=>  Location: PIN_R14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[23]	=>  Location: PIN_N16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[24]	=>  Location: PIN_N15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[25]	=>  Location: PIN_P14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[26]	=>  Location: PIN_L14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[27]	=>  Location: PIN_N14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[28]	=>  Location: PIN_M10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[29]	=>  Location: PIN_L13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[30]	=>  Location: PIN_J16,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[31]	=>  Location: PIN_K15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[32]	=>  Location: PIN_J13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_1[33]	=>  Location: PIN_J14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[0]	=>  Location: PIN_D3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- GPIO_0[13]	=>  Location: PIN_D6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- CLOCK_50	=>  Location: PIN_R8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF dsmc_demo_FSM IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_CLOCK_50 : std_logic;
SIGNAL ww_LED : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_GPIO_0_IN : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_GPIO_1_IN : std_logic_vector(1 DOWNTO 0);
SIGNAL \CLOCK_50~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \GPIO_0_IN[0]~input_o\ : std_logic;
SIGNAL \GPIO_0_IN[1]~input_o\ : std_logic;
SIGNAL \GPIO_1_IN[0]~input_o\ : std_logic;
SIGNAL \GPIO_1_IN[1]~input_o\ : std_logic;
SIGNAL \GPIO_0[1]~input_o\ : std_logic;
SIGNAL \GPIO_0[2]~input_o\ : std_logic;
SIGNAL \GPIO_0[3]~input_o\ : std_logic;
SIGNAL \GPIO_0[4]~input_o\ : std_logic;
SIGNAL \GPIO_0[5]~input_o\ : std_logic;
SIGNAL \GPIO_0[6]~input_o\ : std_logic;
SIGNAL \GPIO_0[7]~input_o\ : std_logic;
SIGNAL \GPIO_0[8]~input_o\ : std_logic;
SIGNAL \GPIO_0[9]~input_o\ : std_logic;
SIGNAL \GPIO_0[10]~input_o\ : std_logic;
SIGNAL \GPIO_0[11]~input_o\ : std_logic;
SIGNAL \GPIO_0[12]~input_o\ : std_logic;
SIGNAL \GPIO_0[14]~input_o\ : std_logic;
SIGNAL \GPIO_0[15]~input_o\ : std_logic;
SIGNAL \GPIO_0[16]~input_o\ : std_logic;
SIGNAL \GPIO_0[17]~input_o\ : std_logic;
SIGNAL \GPIO_0[18]~input_o\ : std_logic;
SIGNAL \GPIO_0[19]~input_o\ : std_logic;
SIGNAL \GPIO_0[20]~input_o\ : std_logic;
SIGNAL \GPIO_0[21]~input_o\ : std_logic;
SIGNAL \GPIO_0[22]~input_o\ : std_logic;
SIGNAL \GPIO_0[23]~input_o\ : std_logic;
SIGNAL \GPIO_0[24]~input_o\ : std_logic;
SIGNAL \GPIO_0[25]~input_o\ : std_logic;
SIGNAL \GPIO_0[26]~input_o\ : std_logic;
SIGNAL \GPIO_0[27]~input_o\ : std_logic;
SIGNAL \GPIO_0[28]~input_o\ : std_logic;
SIGNAL \GPIO_0[29]~input_o\ : std_logic;
SIGNAL \GPIO_0[30]~input_o\ : std_logic;
SIGNAL \GPIO_0[31]~input_o\ : std_logic;
SIGNAL \GPIO_0[32]~input_o\ : std_logic;
SIGNAL \GPIO_0[33]~input_o\ : std_logic;
SIGNAL \GPIO_1[0]~input_o\ : std_logic;
SIGNAL \GPIO_1[1]~input_o\ : std_logic;
SIGNAL \GPIO_1[2]~input_o\ : std_logic;
SIGNAL \GPIO_1[3]~input_o\ : std_logic;
SIGNAL \GPIO_1[4]~input_o\ : std_logic;
SIGNAL \GPIO_1[5]~input_o\ : std_logic;
SIGNAL \GPIO_1[6]~input_o\ : std_logic;
SIGNAL \GPIO_1[7]~input_o\ : std_logic;
SIGNAL \GPIO_1[8]~input_o\ : std_logic;
SIGNAL \GPIO_1[9]~input_o\ : std_logic;
SIGNAL \GPIO_1[10]~input_o\ : std_logic;
SIGNAL \GPIO_1[11]~input_o\ : std_logic;
SIGNAL \GPIO_1[12]~input_o\ : std_logic;
SIGNAL \GPIO_1[13]~input_o\ : std_logic;
SIGNAL \GPIO_1[14]~input_o\ : std_logic;
SIGNAL \GPIO_1[15]~input_o\ : std_logic;
SIGNAL \GPIO_1[16]~input_o\ : std_logic;
SIGNAL \GPIO_1[17]~input_o\ : std_logic;
SIGNAL \GPIO_1[18]~input_o\ : std_logic;
SIGNAL \GPIO_1[19]~input_o\ : std_logic;
SIGNAL \GPIO_1[20]~input_o\ : std_logic;
SIGNAL \GPIO_1[21]~input_o\ : std_logic;
SIGNAL \GPIO_1[22]~input_o\ : std_logic;
SIGNAL \GPIO_1[23]~input_o\ : std_logic;
SIGNAL \GPIO_1[24]~input_o\ : std_logic;
SIGNAL \GPIO_1[25]~input_o\ : std_logic;
SIGNAL \GPIO_1[26]~input_o\ : std_logic;
SIGNAL \GPIO_1[27]~input_o\ : std_logic;
SIGNAL \GPIO_1[28]~input_o\ : std_logic;
SIGNAL \GPIO_1[29]~input_o\ : std_logic;
SIGNAL \GPIO_1[30]~input_o\ : std_logic;
SIGNAL \GPIO_1[31]~input_o\ : std_logic;
SIGNAL \GPIO_1[32]~input_o\ : std_logic;
SIGNAL \GPIO_1[33]~input_o\ : std_logic;
SIGNAL \GPIO_0[1]~output_o\ : std_logic;
SIGNAL \GPIO_0[2]~output_o\ : std_logic;
SIGNAL \GPIO_0[3]~output_o\ : std_logic;
SIGNAL \GPIO_0[4]~output_o\ : std_logic;
SIGNAL \GPIO_0[5]~output_o\ : std_logic;
SIGNAL \GPIO_0[6]~output_o\ : std_logic;
SIGNAL \GPIO_0[7]~output_o\ : std_logic;
SIGNAL \GPIO_0[8]~output_o\ : std_logic;
SIGNAL \GPIO_0[9]~output_o\ : std_logic;
SIGNAL \GPIO_0[10]~output_o\ : std_logic;
SIGNAL \GPIO_0[11]~output_o\ : std_logic;
SIGNAL \GPIO_0[12]~output_o\ : std_logic;
SIGNAL \GPIO_0[14]~output_o\ : std_logic;
SIGNAL \GPIO_0[15]~output_o\ : std_logic;
SIGNAL \GPIO_0[16]~output_o\ : std_logic;
SIGNAL \GPIO_0[17]~output_o\ : std_logic;
SIGNAL \GPIO_0[18]~output_o\ : std_logic;
SIGNAL \GPIO_0[19]~output_o\ : std_logic;
SIGNAL \GPIO_0[20]~output_o\ : std_logic;
SIGNAL \GPIO_0[21]~output_o\ : std_logic;
SIGNAL \GPIO_0[22]~output_o\ : std_logic;
SIGNAL \GPIO_0[23]~output_o\ : std_logic;
SIGNAL \GPIO_0[24]~output_o\ : std_logic;
SIGNAL \GPIO_0[25]~output_o\ : std_logic;
SIGNAL \GPIO_0[26]~output_o\ : std_logic;
SIGNAL \GPIO_0[27]~output_o\ : std_logic;
SIGNAL \GPIO_0[28]~output_o\ : std_logic;
SIGNAL \GPIO_0[29]~output_o\ : std_logic;
SIGNAL \GPIO_0[30]~output_o\ : std_logic;
SIGNAL \GPIO_0[31]~output_o\ : std_logic;
SIGNAL \GPIO_0[32]~output_o\ : std_logic;
SIGNAL \GPIO_0[33]~output_o\ : std_logic;
SIGNAL \GPIO_1[0]~output_o\ : std_logic;
SIGNAL \GPIO_1[1]~output_o\ : std_logic;
SIGNAL \GPIO_1[2]~output_o\ : std_logic;
SIGNAL \GPIO_1[3]~output_o\ : std_logic;
SIGNAL \GPIO_1[4]~output_o\ : std_logic;
SIGNAL \GPIO_1[5]~output_o\ : std_logic;
SIGNAL \GPIO_1[6]~output_o\ : std_logic;
SIGNAL \GPIO_1[7]~output_o\ : std_logic;
SIGNAL \GPIO_1[8]~output_o\ : std_logic;
SIGNAL \GPIO_1[9]~output_o\ : std_logic;
SIGNAL \GPIO_1[10]~output_o\ : std_logic;
SIGNAL \GPIO_1[11]~output_o\ : std_logic;
SIGNAL \GPIO_1[12]~output_o\ : std_logic;
SIGNAL \GPIO_1[13]~output_o\ : std_logic;
SIGNAL \GPIO_1[14]~output_o\ : std_logic;
SIGNAL \GPIO_1[15]~output_o\ : std_logic;
SIGNAL \GPIO_1[16]~output_o\ : std_logic;
SIGNAL \GPIO_1[17]~output_o\ : std_logic;
SIGNAL \GPIO_1[18]~output_o\ : std_logic;
SIGNAL \GPIO_1[19]~output_o\ : std_logic;
SIGNAL \GPIO_1[20]~output_o\ : std_logic;
SIGNAL \GPIO_1[21]~output_o\ : std_logic;
SIGNAL \GPIO_1[22]~output_o\ : std_logic;
SIGNAL \GPIO_1[23]~output_o\ : std_logic;
SIGNAL \GPIO_1[24]~output_o\ : std_logic;
SIGNAL \GPIO_1[25]~output_o\ : std_logic;
SIGNAL \GPIO_1[26]~output_o\ : std_logic;
SIGNAL \GPIO_1[27]~output_o\ : std_logic;
SIGNAL \GPIO_1[28]~output_o\ : std_logic;
SIGNAL \GPIO_1[29]~output_o\ : std_logic;
SIGNAL \GPIO_1[30]~output_o\ : std_logic;
SIGNAL \GPIO_1[31]~output_o\ : std_logic;
SIGNAL \GPIO_1[32]~output_o\ : std_logic;
SIGNAL \GPIO_1[33]~output_o\ : std_logic;
SIGNAL \GPIO_0[0]~output_o\ : std_logic;
SIGNAL \GPIO_0[13]~output_o\ : std_logic;
SIGNAL \LED[0]~output_o\ : std_logic;
SIGNAL \LED[1]~output_o\ : std_logic;
SIGNAL \LED[2]~output_o\ : std_logic;
SIGNAL \LED[3]~output_o\ : std_logic;
SIGNAL \LED[4]~output_o\ : std_logic;
SIGNAL \LED[5]~output_o\ : std_logic;
SIGNAL \LED[6]~output_o\ : std_logic;
SIGNAL \LED[7]~output_o\ : std_logic;
SIGNAL \CLOCK_50~input_o\ : std_logic;
SIGNAL \CLOCK_50~inputclkctrl_outclk\ : std_logic;
SIGNAL \GPIO_0[0]~input_o\ : std_logic;
SIGNAL \GPIO_0[13]~input_o\ : std_logic;
SIGNAL \inp_d~q\ : std_logic;
SIGNAL \inp_2d~feeder_combout\ : std_logic;
SIGNAL \inp_2d~q\ : std_logic;
SIGNAL \state_cur.IDLE~0_combout\ : std_logic;
SIGNAL \state_cur.IDLE~q\ : std_logic;
SIGNAL \fsm~0_combout\ : std_logic;
SIGNAL \cnt2[0]~20_combout\ : std_logic;
SIGNAL \cnt2[0]~66_combout\ : std_logic;
SIGNAL \cnt1[0]~21_combout\ : std_logic;
SIGNAL \Equal0~4_combout\ : std_logic;
SIGNAL \Equal0~3_combout\ : std_logic;
SIGNAL \Equal0~1_combout\ : std_logic;
SIGNAL \Equal0~2_combout\ : std_logic;
SIGNAL \Equal0~5_combout\ : std_logic;
SIGNAL \cnt1[0]~55_combout\ : std_logic;
SIGNAL \cnt1[0]~22\ : std_logic;
SIGNAL \cnt1[1]~23_combout\ : std_logic;
SIGNAL \cnt1[1]~24\ : std_logic;
SIGNAL \cnt1[2]~25_combout\ : std_logic;
SIGNAL \cnt1[2]~26\ : std_logic;
SIGNAL \cnt1[3]~27_combout\ : std_logic;
SIGNAL \cnt1[3]~28\ : std_logic;
SIGNAL \cnt1[4]~29_combout\ : std_logic;
SIGNAL \cnt1[4]~30\ : std_logic;
SIGNAL \cnt1[5]~31_combout\ : std_logic;
SIGNAL \cnt1[5]~32\ : std_logic;
SIGNAL \cnt1[6]~33_combout\ : std_logic;
SIGNAL \cnt1[6]~34\ : std_logic;
SIGNAL \cnt1[7]~35_combout\ : std_logic;
SIGNAL \cnt1[7]~36\ : std_logic;
SIGNAL \cnt1[8]~37_combout\ : std_logic;
SIGNAL \cnt1[8]~38\ : std_logic;
SIGNAL \cnt1[9]~39_combout\ : std_logic;
SIGNAL \cnt1[9]~40\ : std_logic;
SIGNAL \cnt1[10]~41_combout\ : std_logic;
SIGNAL \cnt1[10]~42\ : std_logic;
SIGNAL \cnt1[11]~43_combout\ : std_logic;
SIGNAL \cnt1[11]~44\ : std_logic;
SIGNAL \cnt1[12]~45_combout\ : std_logic;
SIGNAL \cnt1[12]~46\ : std_logic;
SIGNAL \cnt1[13]~47_combout\ : std_logic;
SIGNAL \cnt1[13]~48\ : std_logic;
SIGNAL \cnt1[14]~49_combout\ : std_logic;
SIGNAL \cnt1[14]~50\ : std_logic;
SIGNAL \cnt1[15]~51_combout\ : std_logic;
SIGNAL \cnt1[15]~52\ : std_logic;
SIGNAL \cnt1[16]~53_combout\ : std_logic;
SIGNAL \cnt1[16]~54\ : std_logic;
SIGNAL \cnt1[17]~56_combout\ : std_logic;
SIGNAL \cnt1[17]~57\ : std_logic;
SIGNAL \cnt1[18]~58_combout\ : std_logic;
SIGNAL \cnt1[18]~59\ : std_logic;
SIGNAL \cnt1[19]~60_combout\ : std_logic;
SIGNAL \Equal0~0_combout\ : std_logic;
SIGNAL \Equal0~6_combout\ : std_logic;
SIGNAL \cnt2[0]~21\ : std_logic;
SIGNAL \cnt2[1]~22_combout\ : std_logic;
SIGNAL \cnt2[1]~67_combout\ : std_logic;
SIGNAL \cnt2[1]~23\ : std_logic;
SIGNAL \cnt2[2]~24_combout\ : std_logic;
SIGNAL \cnt2[2]~64_combout\ : std_logic;
SIGNAL \cnt2[2]~25\ : std_logic;
SIGNAL \cnt2[3]~26_combout\ : std_logic;
SIGNAL \cnt2[3]~65_combout\ : std_logic;
SIGNAL \cnt2[3]~27\ : std_logic;
SIGNAL \cnt2[4]~28_combout\ : std_logic;
SIGNAL \cnt2[4]~71_combout\ : std_logic;
SIGNAL \cnt2[4]~29\ : std_logic;
SIGNAL \cnt2[5]~30_combout\ : std_logic;
SIGNAL \cnt2[5]~68_combout\ : std_logic;
SIGNAL \cnt2[5]~31\ : std_logic;
SIGNAL \cnt2[6]~32_combout\ : std_logic;
SIGNAL \cnt2[6]~69_combout\ : std_logic;
SIGNAL \cnt2[6]~33\ : std_logic;
SIGNAL \cnt2[7]~34_combout\ : std_logic;
SIGNAL \cnt2[7]~70_combout\ : std_logic;
SIGNAL \cnt2[7]~35\ : std_logic;
SIGNAL \cnt2[8]~36_combout\ : std_logic;
SIGNAL \cnt2[8]~72_combout\ : std_logic;
SIGNAL \cnt2[8]~37\ : std_logic;
SIGNAL \cnt2[9]~38_combout\ : std_logic;
SIGNAL \cnt2[9]~73_combout\ : std_logic;
SIGNAL \cnt2[9]~39\ : std_logic;
SIGNAL \cnt2[10]~40_combout\ : std_logic;
SIGNAL \cnt2[10]~74_combout\ : std_logic;
SIGNAL \cnt2[10]~41\ : std_logic;
SIGNAL \cnt2[11]~42_combout\ : std_logic;
SIGNAL \cnt2[11]~75_combout\ : std_logic;
SIGNAL \cnt2[11]~43\ : std_logic;
SIGNAL \cnt2[12]~44_combout\ : std_logic;
SIGNAL \cnt2[12]~76_combout\ : std_logic;
SIGNAL \cnt2[12]~45\ : std_logic;
SIGNAL \cnt2[13]~46_combout\ : std_logic;
SIGNAL \cnt2[13]~77_combout\ : std_logic;
SIGNAL \cnt2[13]~47\ : std_logic;
SIGNAL \cnt2[14]~48_combout\ : std_logic;
SIGNAL \cnt2[14]~78_combout\ : std_logic;
SIGNAL \cnt2[14]~49\ : std_logic;
SIGNAL \cnt2[15]~50_combout\ : std_logic;
SIGNAL \cnt2[15]~79_combout\ : std_logic;
SIGNAL \Equal1~5_combout\ : std_logic;
SIGNAL \cnt2[15]~51\ : std_logic;
SIGNAL \cnt2[16]~52_combout\ : std_logic;
SIGNAL \cnt2[16]~54_combout\ : std_logic;
SIGNAL \cnt2[16]~53\ : std_logic;
SIGNAL \cnt2[17]~55_combout\ : std_logic;
SIGNAL \cnt2[17]~57_combout\ : std_logic;
SIGNAL \cnt2[17]~56\ : std_logic;
SIGNAL \cnt2[18]~58_combout\ : std_logic;
SIGNAL \cnt2[18]~60_combout\ : std_logic;
SIGNAL \cnt2[18]~59\ : std_logic;
SIGNAL \cnt2[19]~61_combout\ : std_logic;
SIGNAL \cnt2[19]~63_combout\ : std_logic;
SIGNAL \Equal1~0_combout\ : std_logic;
SIGNAL \Equal1~4_combout\ : std_logic;
SIGNAL \Equal1~2_combout\ : std_logic;
SIGNAL \Equal1~1_combout\ : std_logic;
SIGNAL \Equal1~3_combout\ : std_logic;
SIGNAL \Equal1~6_combout\ : std_logic;
SIGNAL \Selector0~0_combout\ : std_logic;
SIGNAL \state_cur.DELAY~q\ : std_logic;
SIGNAL \state_cur.LED_ON~0_combout\ : std_logic;
SIGNAL \state_cur.LED_ON~q\ : std_logic;
SIGNAL cnt2 : std_logic_vector(19 DOWNTO 0);
SIGNAL cnt1 : std_logic_vector(19 DOWNTO 0);
SIGNAL \ALT_INV_GPIO_0[13]~input_o\ : std_logic;

BEGIN

ww_CLOCK_50 <= CLOCK_50;
LED <= ww_LED;
ww_GPIO_0_IN <= GPIO_0_IN;
ww_GPIO_1_IN <= GPIO_1_IN;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\CLOCK_50~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CLOCK_50~input_o\);
\ALT_INV_GPIO_0[13]~input_o\ <= NOT \GPIO_0[13]~input_o\;

-- Location: IOOBUF_X1_Y34_N2
\GPIO_0[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[1]~output_o\);

-- Location: IOOBUF_X7_Y34_N9
\GPIO_0[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[2]~output_o\);

-- Location: IOOBUF_X7_Y34_N16
\GPIO_0[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[3]~output_o\);

-- Location: IOOBUF_X3_Y34_N2
\GPIO_0[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[4]~output_o\);

-- Location: IOOBUF_X7_Y34_N2
\GPIO_0[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[5]~output_o\);

-- Location: IOOBUF_X9_Y34_N23
\GPIO_0[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[6]~output_o\);

-- Location: IOOBUF_X11_Y34_N2
\GPIO_0[7]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[7]~output_o\);

-- Location: IOOBUF_X14_Y34_N23
\GPIO_0[8]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[8]~output_o\);

-- Location: IOOBUF_X5_Y34_N16
\GPIO_0[9]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[9]~output_o\);

-- Location: IOOBUF_X16_Y34_N9
\GPIO_0[10]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[10]~output_o\);

-- Location: IOOBUF_X16_Y34_N2
\GPIO_0[11]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[11]~output_o\);

-- Location: IOOBUF_X18_Y34_N2
\GPIO_0[12]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[12]~output_o\);

-- Location: IOOBUF_X20_Y34_N23
\GPIO_0[14]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[14]~output_o\);

-- Location: IOOBUF_X18_Y34_N23
\GPIO_0[15]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[15]~output_o\);

-- Location: IOOBUF_X23_Y34_N16
\GPIO_0[16]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[16]~output_o\);

-- Location: IOOBUF_X14_Y34_N16
\GPIO_0[17]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[17]~output_o\);

-- Location: IOOBUF_X16_Y34_N16
\GPIO_0[18]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[18]~output_o\);

-- Location: IOOBUF_X23_Y34_N23
\GPIO_0[19]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[19]~output_o\);

-- Location: IOOBUF_X20_Y34_N9
\GPIO_0[20]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[20]~output_o\);

-- Location: IOOBUF_X20_Y34_N16
\GPIO_0[21]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[21]~output_o\);

-- Location: IOOBUF_X34_Y34_N2
\GPIO_0[22]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[22]~output_o\);

-- Location: IOOBUF_X29_Y34_N16
\GPIO_0[23]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[23]~output_o\);

-- Location: IOOBUF_X31_Y34_N2
\GPIO_0[24]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[24]~output_o\);

-- Location: IOOBUF_X31_Y34_N9
\GPIO_0[25]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[25]~output_o\);

-- Location: IOOBUF_X45_Y34_N9
\GPIO_0[26]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[26]~output_o\);

-- Location: IOOBUF_X45_Y34_N16
\GPIO_0[27]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[27]~output_o\);

-- Location: IOOBUF_X38_Y34_N2
\GPIO_0[28]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[28]~output_o\);

-- Location: IOOBUF_X40_Y34_N9
\GPIO_0[29]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[29]~output_o\);

-- Location: IOOBUF_X43_Y34_N16
\GPIO_0[30]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[30]~output_o\);

-- Location: IOOBUF_X51_Y34_N16
\GPIO_0[31]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[31]~output_o\);

-- Location: IOOBUF_X51_Y34_N23
\GPIO_0[32]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[32]~output_o\);

-- Location: IOOBUF_X43_Y34_N23
\GPIO_0[33]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[33]~output_o\);

-- Location: IOOBUF_X53_Y21_N23
\GPIO_1[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[0]~output_o\);

-- Location: IOOBUF_X45_Y0_N16
\GPIO_1[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[1]~output_o\);

-- Location: IOOBUF_X45_Y0_N23
\GPIO_1[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[2]~output_o\);

-- Location: IOOBUF_X40_Y0_N16
\GPIO_1[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[3]~output_o\);

-- Location: IOOBUF_X40_Y0_N23
\GPIO_1[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[4]~output_o\);

-- Location: IOOBUF_X36_Y0_N9
\GPIO_1[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[5]~output_o\);

-- Location: IOOBUF_X36_Y0_N16
\GPIO_1[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[6]~output_o\);

-- Location: IOOBUF_X36_Y0_N23
\GPIO_1[7]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[7]~output_o\);

-- Location: IOOBUF_X34_Y0_N16
\GPIO_1[8]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[8]~output_o\);

-- Location: IOOBUF_X34_Y0_N2
\GPIO_1[9]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[9]~output_o\);

-- Location: IOOBUF_X38_Y0_N2
\GPIO_1[10]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[10]~output_o\);

-- Location: IOOBUF_X34_Y0_N23
\GPIO_1[11]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[11]~output_o\);

-- Location: IOOBUF_X47_Y0_N23
\GPIO_1[12]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[12]~output_o\);

-- Location: IOOBUF_X38_Y0_N9
\GPIO_1[13]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[13]~output_o\);

-- Location: IOOBUF_X29_Y0_N2
\GPIO_1[14]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[14]~output_o\);

-- Location: IOOBUF_X43_Y0_N16
\GPIO_1[15]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[15]~output_o\);

-- Location: IOOBUF_X53_Y11_N9
\GPIO_1[16]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[16]~output_o\);

-- Location: IOOBUF_X53_Y12_N2
\GPIO_1[17]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[17]~output_o\);

-- Location: IOOBUF_X53_Y8_N23
\GPIO_1[18]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[18]~output_o\);

-- Location: IOOBUF_X53_Y11_N2
\GPIO_1[19]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[19]~output_o\);

-- Location: IOOBUF_X53_Y6_N16
\GPIO_1[20]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[20]~output_o\);

-- Location: IOOBUF_X53_Y7_N9
\GPIO_1[21]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[21]~output_o\);

-- Location: IOOBUF_X49_Y0_N2
\GPIO_1[22]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[22]~output_o\);

-- Location: IOOBUF_X53_Y9_N23
\GPIO_1[23]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[23]~output_o\);

-- Location: IOOBUF_X53_Y9_N16
\GPIO_1[24]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[24]~output_o\);

-- Location: IOOBUF_X49_Y0_N9
\GPIO_1[25]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[25]~output_o\);

-- Location: IOOBUF_X53_Y9_N9
\GPIO_1[26]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[26]~output_o\);

-- Location: IOOBUF_X53_Y6_N23
\GPIO_1[27]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[27]~output_o\);

-- Location: IOOBUF_X43_Y0_N23
\GPIO_1[28]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[28]~output_o\);

-- Location: IOOBUF_X53_Y10_N16
\GPIO_1[29]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[29]~output_o\);

-- Location: IOOBUF_X53_Y14_N9
\GPIO_1[30]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[30]~output_o\);

-- Location: IOOBUF_X53_Y13_N9
\GPIO_1[31]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[31]~output_o\);

-- Location: IOOBUF_X53_Y16_N9
\GPIO_1[32]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[32]~output_o\);

-- Location: IOOBUF_X53_Y15_N9
\GPIO_1[33]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_1[33]~output_o\);

-- Location: IOOBUF_X1_Y34_N9
\GPIO_0[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[0]~output_o\);

-- Location: IOOBUF_X9_Y34_N9
\GPIO_0[13]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "true")
-- pragma translate_on
PORT MAP (
	i => VCC,
	devoe => ww_devoe,
	o => \GPIO_0[13]~output_o\);

-- Location: IOOBUF_X38_Y34_N16
\LED[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \state_cur.LED_ON~q\,
	devoe => ww_devoe,
	o => \LED[0]~output_o\);

-- Location: IOOBUF_X49_Y34_N2
\LED[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \state_cur.LED_ON~q\,
	devoe => ww_devoe,
	o => \LED[1]~output_o\);

-- Location: IOOBUF_X49_Y34_N9
\LED[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \state_cur.LED_ON~q\,
	devoe => ww_devoe,
	o => \LED[2]~output_o\);

-- Location: IOOBUF_X40_Y34_N2
\LED[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \state_cur.LED_ON~q\,
	devoe => ww_devoe,
	o => \LED[3]~output_o\);

-- Location: IOOBUF_X0_Y25_N9
\LED[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \state_cur.LED_ON~q\,
	devoe => ww_devoe,
	o => \LED[4]~output_o\);

-- Location: IOOBUF_X0_Y26_N16
\LED[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \state_cur.LED_ON~q\,
	devoe => ww_devoe,
	o => \LED[5]~output_o\);

-- Location: IOOBUF_X0_Y28_N9
\LED[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \state_cur.LED_ON~q\,
	devoe => ww_devoe,
	o => \LED[6]~output_o\);

-- Location: IOOBUF_X0_Y10_N23
\LED[7]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \state_cur.LED_ON~q\,
	devoe => ww_devoe,
	o => \LED[7]~output_o\);

-- Location: IOIBUF_X27_Y0_N22
\CLOCK_50~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLOCK_50,
	o => \CLOCK_50~input_o\);

-- Location: CLKCTRL_G18
\CLOCK_50~inputclkctrl\ : cycloneive_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \CLOCK_50~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLOCK_50~inputclkctrl_outclk\);

-- Location: IOIBUF_X1_Y34_N8
\GPIO_0[0]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(0),
	o => \GPIO_0[0]~input_o\);

-- Location: IOIBUF_X9_Y34_N8
\GPIO_0[13]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(13),
	o => \GPIO_0[13]~input_o\);

-- Location: FF_X11_Y33_N1
inp_d : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	asdata => \GPIO_0[0]~input_o\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inp_d~q\);

-- Location: LCCOMB_X11_Y33_N12
\inp_2d~feeder\ : cycloneive_lcell_comb
-- Equation(s):
-- \inp_2d~feeder_combout\ = \inp_d~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \inp_d~q\,
	combout => \inp_2d~feeder_combout\);

-- Location: FF_X11_Y33_N13
inp_2d : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \inp_2d~feeder_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inp_2d~q\);

-- Location: LCCOMB_X11_Y33_N10
\state_cur.IDLE~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \state_cur.IDLE~0_combout\ = (\state_cur.IDLE~q\) # ((\inp_d~q\ & !\inp_2d~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inp_d~q\,
	datac => \state_cur.IDLE~q\,
	datad => \inp_2d~q\,
	combout => \state_cur.IDLE~0_combout\);

-- Location: FF_X11_Y33_N11
\state_cur.IDLE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \state_cur.IDLE~0_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \state_cur.IDLE~q\);

-- Location: LCCOMB_X11_Y33_N0
\fsm~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \fsm~0_combout\ = (!\state_cur.IDLE~q\ & (\inp_d~q\ & !\inp_2d~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.IDLE~q\,
	datac => \inp_d~q\,
	datad => \inp_2d~q\,
	combout => \fsm~0_combout\);

-- Location: LCCOMB_X21_Y23_N12
\cnt2[0]~20\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[0]~20_combout\ = cnt2(0) $ (VCC)
-- \cnt2[0]~21\ = CARRY(cnt2(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(0),
	datad => VCC,
	combout => \cnt2[0]~20_combout\,
	cout => \cnt2[0]~21\);

-- Location: LCCOMB_X21_Y23_N6
\cnt2[0]~66\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[0]~66_combout\ = (\state_cur.DELAY~q\ & cnt2(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \state_cur.DELAY~q\,
	datad => cnt2(0),
	combout => \cnt2[0]~66_combout\);

-- Location: LCCOMB_X15_Y24_N12
\cnt1[0]~21\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[0]~21_combout\ = cnt1(0) $ (VCC)
-- \cnt1[0]~22\ = CARRY(cnt1(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(0),
	datad => VCC,
	combout => \cnt1[0]~21_combout\,
	cout => \cnt1[0]~22\);

-- Location: LCCOMB_X15_Y23_N26
\Equal0~4\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal0~4_combout\ = (!cnt1(15) & (cnt1(14) & (!cnt1(12) & !cnt1(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(15),
	datab => cnt1(14),
	datac => cnt1(12),
	datad => cnt1(13),
	combout => \Equal0~4_combout\);

-- Location: LCCOMB_X15_Y24_N4
\Equal0~3\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal0~3_combout\ = (!cnt1(11) & (!cnt1(10) & (cnt1(9) & !cnt1(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(11),
	datab => cnt1(10),
	datac => cnt1(9),
	datad => cnt1(8),
	combout => \Equal0~3_combout\);

-- Location: LCCOMB_X15_Y24_N8
\Equal0~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal0~1_combout\ = (!cnt1(0) & (!cnt1(3) & (!cnt1(1) & !cnt1(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(0),
	datab => cnt1(3),
	datac => cnt1(1),
	datad => cnt1(2),
	combout => \Equal0~1_combout\);

-- Location: LCCOMB_X15_Y24_N2
\Equal0~2\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal0~2_combout\ = (!cnt1(5) & (!cnt1(4) & (!cnt1(7) & cnt1(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(5),
	datab => cnt1(4),
	datac => cnt1(7),
	datad => cnt1(6),
	combout => \Equal0~2_combout\);

-- Location: LCCOMB_X15_Y24_N6
\Equal0~5\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal0~5_combout\ = (\Equal0~4_combout\ & (\Equal0~3_combout\ & (\Equal0~1_combout\ & \Equal0~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Equal0~4_combout\,
	datab => \Equal0~3_combout\,
	datac => \Equal0~1_combout\,
	datad => \Equal0~2_combout\,
	combout => \Equal0~5_combout\);

-- Location: LCCOMB_X15_Y23_N22
\cnt1[0]~55\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[0]~55_combout\ = ((\Equal0~0_combout\ & \Equal0~5_combout\)) # (!\state_cur.DELAY~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101010111010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datab => \Equal0~0_combout\,
	datac => \Equal0~5_combout\,
	combout => \cnt1[0]~55_combout\);

-- Location: FF_X15_Y24_N13
\cnt1[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[0]~21_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(0));

-- Location: LCCOMB_X15_Y24_N14
\cnt1[1]~23\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[1]~23_combout\ = (cnt1(1) & (!\cnt1[0]~22\)) # (!cnt1(1) & ((\cnt1[0]~22\) # (GND)))
-- \cnt1[1]~24\ = CARRY((!\cnt1[0]~22\) # (!cnt1(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(1),
	datad => VCC,
	cin => \cnt1[0]~22\,
	combout => \cnt1[1]~23_combout\,
	cout => \cnt1[1]~24\);

-- Location: FF_X15_Y24_N15
\cnt1[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[1]~23_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(1));

-- Location: LCCOMB_X15_Y24_N16
\cnt1[2]~25\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[2]~25_combout\ = (cnt1(2) & (\cnt1[1]~24\ $ (GND))) # (!cnt1(2) & (!\cnt1[1]~24\ & VCC))
-- \cnt1[2]~26\ = CARRY((cnt1(2) & !\cnt1[1]~24\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(2),
	datad => VCC,
	cin => \cnt1[1]~24\,
	combout => \cnt1[2]~25_combout\,
	cout => \cnt1[2]~26\);

-- Location: FF_X15_Y24_N17
\cnt1[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[2]~25_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(2));

-- Location: LCCOMB_X15_Y24_N18
\cnt1[3]~27\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[3]~27_combout\ = (cnt1(3) & (!\cnt1[2]~26\)) # (!cnt1(3) & ((\cnt1[2]~26\) # (GND)))
-- \cnt1[3]~28\ = CARRY((!\cnt1[2]~26\) # (!cnt1(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(3),
	datad => VCC,
	cin => \cnt1[2]~26\,
	combout => \cnt1[3]~27_combout\,
	cout => \cnt1[3]~28\);

-- Location: FF_X15_Y24_N19
\cnt1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[3]~27_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(3));

-- Location: LCCOMB_X15_Y24_N20
\cnt1[4]~29\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[4]~29_combout\ = (cnt1(4) & (\cnt1[3]~28\ $ (GND))) # (!cnt1(4) & (!\cnt1[3]~28\ & VCC))
-- \cnt1[4]~30\ = CARRY((cnt1(4) & !\cnt1[3]~28\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(4),
	datad => VCC,
	cin => \cnt1[3]~28\,
	combout => \cnt1[4]~29_combout\,
	cout => \cnt1[4]~30\);

-- Location: FF_X15_Y24_N21
\cnt1[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[4]~29_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(4));

-- Location: LCCOMB_X15_Y24_N22
\cnt1[5]~31\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[5]~31_combout\ = (cnt1(5) & (!\cnt1[4]~30\)) # (!cnt1(5) & ((\cnt1[4]~30\) # (GND)))
-- \cnt1[5]~32\ = CARRY((!\cnt1[4]~30\) # (!cnt1(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(5),
	datad => VCC,
	cin => \cnt1[4]~30\,
	combout => \cnt1[5]~31_combout\,
	cout => \cnt1[5]~32\);

-- Location: FF_X15_Y24_N23
\cnt1[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[5]~31_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(5));

-- Location: LCCOMB_X15_Y24_N24
\cnt1[6]~33\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[6]~33_combout\ = (cnt1(6) & (\cnt1[5]~32\ $ (GND))) # (!cnt1(6) & (!\cnt1[5]~32\ & VCC))
-- \cnt1[6]~34\ = CARRY((cnt1(6) & !\cnt1[5]~32\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(6),
	datad => VCC,
	cin => \cnt1[5]~32\,
	combout => \cnt1[6]~33_combout\,
	cout => \cnt1[6]~34\);

-- Location: FF_X15_Y24_N25
\cnt1[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[6]~33_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(6));

-- Location: LCCOMB_X15_Y24_N26
\cnt1[7]~35\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[7]~35_combout\ = (cnt1(7) & (!\cnt1[6]~34\)) # (!cnt1(7) & ((\cnt1[6]~34\) # (GND)))
-- \cnt1[7]~36\ = CARRY((!\cnt1[6]~34\) # (!cnt1(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(7),
	datad => VCC,
	cin => \cnt1[6]~34\,
	combout => \cnt1[7]~35_combout\,
	cout => \cnt1[7]~36\);

-- Location: FF_X15_Y24_N27
\cnt1[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[7]~35_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(7));

-- Location: LCCOMB_X15_Y24_N28
\cnt1[8]~37\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[8]~37_combout\ = (cnt1(8) & (\cnt1[7]~36\ $ (GND))) # (!cnt1(8) & (!\cnt1[7]~36\ & VCC))
-- \cnt1[8]~38\ = CARRY((cnt1(8) & !\cnt1[7]~36\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(8),
	datad => VCC,
	cin => \cnt1[7]~36\,
	combout => \cnt1[8]~37_combout\,
	cout => \cnt1[8]~38\);

-- Location: FF_X15_Y24_N29
\cnt1[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[8]~37_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(8));

-- Location: LCCOMB_X15_Y24_N30
\cnt1[9]~39\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[9]~39_combout\ = (cnt1(9) & (!\cnt1[8]~38\)) # (!cnt1(9) & ((\cnt1[8]~38\) # (GND)))
-- \cnt1[9]~40\ = CARRY((!\cnt1[8]~38\) # (!cnt1(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(9),
	datad => VCC,
	cin => \cnt1[8]~38\,
	combout => \cnt1[9]~39_combout\,
	cout => \cnt1[9]~40\);

-- Location: FF_X15_Y24_N31
\cnt1[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[9]~39_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(9));

-- Location: LCCOMB_X15_Y23_N0
\cnt1[10]~41\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[10]~41_combout\ = (cnt1(10) & (\cnt1[9]~40\ $ (GND))) # (!cnt1(10) & (!\cnt1[9]~40\ & VCC))
-- \cnt1[10]~42\ = CARRY((cnt1(10) & !\cnt1[9]~40\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(10),
	datad => VCC,
	cin => \cnt1[9]~40\,
	combout => \cnt1[10]~41_combout\,
	cout => \cnt1[10]~42\);

-- Location: FF_X15_Y23_N1
\cnt1[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[10]~41_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(10));

-- Location: LCCOMB_X15_Y23_N2
\cnt1[11]~43\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[11]~43_combout\ = (cnt1(11) & (!\cnt1[10]~42\)) # (!cnt1(11) & ((\cnt1[10]~42\) # (GND)))
-- \cnt1[11]~44\ = CARRY((!\cnt1[10]~42\) # (!cnt1(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(11),
	datad => VCC,
	cin => \cnt1[10]~42\,
	combout => \cnt1[11]~43_combout\,
	cout => \cnt1[11]~44\);

-- Location: FF_X15_Y23_N3
\cnt1[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[11]~43_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(11));

-- Location: LCCOMB_X15_Y23_N4
\cnt1[12]~45\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[12]~45_combout\ = (cnt1(12) & (\cnt1[11]~44\ $ (GND))) # (!cnt1(12) & (!\cnt1[11]~44\ & VCC))
-- \cnt1[12]~46\ = CARRY((cnt1(12) & !\cnt1[11]~44\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(12),
	datad => VCC,
	cin => \cnt1[11]~44\,
	combout => \cnt1[12]~45_combout\,
	cout => \cnt1[12]~46\);

-- Location: FF_X15_Y23_N5
\cnt1[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[12]~45_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(12));

-- Location: LCCOMB_X15_Y23_N6
\cnt1[13]~47\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[13]~47_combout\ = (cnt1(13) & (!\cnt1[12]~46\)) # (!cnt1(13) & ((\cnt1[12]~46\) # (GND)))
-- \cnt1[13]~48\ = CARRY((!\cnt1[12]~46\) # (!cnt1(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(13),
	datad => VCC,
	cin => \cnt1[12]~46\,
	combout => \cnt1[13]~47_combout\,
	cout => \cnt1[13]~48\);

-- Location: FF_X15_Y23_N7
\cnt1[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[13]~47_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(13));

-- Location: LCCOMB_X15_Y23_N8
\cnt1[14]~49\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[14]~49_combout\ = (cnt1(14) & (\cnt1[13]~48\ $ (GND))) # (!cnt1(14) & (!\cnt1[13]~48\ & VCC))
-- \cnt1[14]~50\ = CARRY((cnt1(14) & !\cnt1[13]~48\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(14),
	datad => VCC,
	cin => \cnt1[13]~48\,
	combout => \cnt1[14]~49_combout\,
	cout => \cnt1[14]~50\);

-- Location: FF_X15_Y23_N9
\cnt1[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[14]~49_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(14));

-- Location: LCCOMB_X15_Y23_N10
\cnt1[15]~51\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[15]~51_combout\ = (cnt1(15) & (!\cnt1[14]~50\)) # (!cnt1(15) & ((\cnt1[14]~50\) # (GND)))
-- \cnt1[15]~52\ = CARRY((!\cnt1[14]~50\) # (!cnt1(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(15),
	datad => VCC,
	cin => \cnt1[14]~50\,
	combout => \cnt1[15]~51_combout\,
	cout => \cnt1[15]~52\);

-- Location: FF_X15_Y23_N11
\cnt1[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[15]~51_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(15));

-- Location: LCCOMB_X15_Y23_N12
\cnt1[16]~53\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[16]~53_combout\ = (cnt1(16) & (\cnt1[15]~52\ $ (GND))) # (!cnt1(16) & (!\cnt1[15]~52\ & VCC))
-- \cnt1[16]~54\ = CARRY((cnt1(16) & !\cnt1[15]~52\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(16),
	datad => VCC,
	cin => \cnt1[15]~52\,
	combout => \cnt1[16]~53_combout\,
	cout => \cnt1[16]~54\);

-- Location: FF_X15_Y23_N13
\cnt1[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[16]~53_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(16));

-- Location: LCCOMB_X15_Y23_N14
\cnt1[17]~56\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[17]~56_combout\ = (cnt1(17) & (!\cnt1[16]~54\)) # (!cnt1(17) & ((\cnt1[16]~54\) # (GND)))
-- \cnt1[17]~57\ = CARRY((!\cnt1[16]~54\) # (!cnt1(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(17),
	datad => VCC,
	cin => \cnt1[16]~54\,
	combout => \cnt1[17]~56_combout\,
	cout => \cnt1[17]~57\);

-- Location: FF_X15_Y23_N15
\cnt1[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[17]~56_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(17));

-- Location: LCCOMB_X15_Y23_N16
\cnt1[18]~58\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[18]~58_combout\ = (cnt1(18) & (\cnt1[17]~57\ $ (GND))) # (!cnt1(18) & (!\cnt1[17]~57\ & VCC))
-- \cnt1[18]~59\ = CARRY((cnt1(18) & !\cnt1[17]~57\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt1(18),
	datad => VCC,
	cin => \cnt1[17]~57\,
	combout => \cnt1[18]~58_combout\,
	cout => \cnt1[18]~59\);

-- Location: FF_X15_Y23_N17
\cnt1[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[18]~58_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(18));

-- Location: LCCOMB_X15_Y23_N18
\cnt1[19]~60\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt1[19]~60_combout\ = \cnt1[18]~59\ $ (cnt1(19))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => cnt1(19),
	cin => \cnt1[18]~59\,
	combout => \cnt1[19]~60_combout\);

-- Location: FF_X15_Y23_N19
\cnt1[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt1[19]~60_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \cnt1[0]~55_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt1(19));

-- Location: LCCOMB_X15_Y23_N24
\Equal0~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal0~0_combout\ = (cnt1(16) & (cnt1(19) & (cnt1(17) & cnt1(18))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt1(16),
	datab => cnt1(19),
	datac => cnt1(17),
	datad => cnt1(18),
	combout => \Equal0~0_combout\);

-- Location: LCCOMB_X21_Y22_N26
\Equal0~6\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal0~6_combout\ = (!\Equal0~5_combout\) # (!\Equal0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Equal0~0_combout\,
	datad => \Equal0~5_combout\,
	combout => \Equal0~6_combout\);

-- Location: FF_X21_Y23_N13
\cnt2[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[0]~20_combout\,
	asdata => \cnt2[0]~66_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(0));

-- Location: LCCOMB_X21_Y23_N14
\cnt2[1]~22\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[1]~22_combout\ = (cnt2(1) & (!\cnt2[0]~21\)) # (!cnt2(1) & ((\cnt2[0]~21\) # (GND)))
-- \cnt2[1]~23\ = CARRY((!\cnt2[0]~21\) # (!cnt2(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(1),
	datad => VCC,
	cin => \cnt2[0]~21\,
	combout => \cnt2[1]~22_combout\,
	cout => \cnt2[1]~23\);

-- Location: LCCOMB_X15_Y23_N28
\cnt2[1]~67\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[1]~67_combout\ = (\state_cur.DELAY~q\ & cnt2(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \state_cur.DELAY~q\,
	datad => cnt2(1),
	combout => \cnt2[1]~67_combout\);

-- Location: FF_X21_Y23_N15
\cnt2[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[1]~22_combout\,
	asdata => \cnt2[1]~67_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(1));

-- Location: LCCOMB_X21_Y23_N16
\cnt2[2]~24\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[2]~24_combout\ = (cnt2(2) & (\cnt2[1]~23\ $ (GND))) # (!cnt2(2) & (!\cnt2[1]~23\ & VCC))
-- \cnt2[2]~25\ = CARRY((cnt2(2) & !\cnt2[1]~23\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(2),
	datad => VCC,
	cin => \cnt2[1]~23\,
	combout => \cnt2[2]~24_combout\,
	cout => \cnt2[2]~25\);

-- Location: LCCOMB_X21_Y24_N24
\cnt2[2]~64\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[2]~64_combout\ = (\state_cur.DELAY~q\ & cnt2(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datad => cnt2(2),
	combout => \cnt2[2]~64_combout\);

-- Location: FF_X21_Y23_N17
\cnt2[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[2]~24_combout\,
	asdata => \cnt2[2]~64_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(2));

-- Location: LCCOMB_X21_Y23_N18
\cnt2[3]~26\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[3]~26_combout\ = (cnt2(3) & (!\cnt2[2]~25\)) # (!cnt2(3) & ((\cnt2[2]~25\) # (GND)))
-- \cnt2[3]~27\ = CARRY((!\cnt2[2]~25\) # (!cnt2(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(3),
	datad => VCC,
	cin => \cnt2[2]~25\,
	combout => \cnt2[3]~26_combout\,
	cout => \cnt2[3]~27\);

-- Location: LCCOMB_X21_Y24_N26
\cnt2[3]~65\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[3]~65_combout\ = (\state_cur.DELAY~q\ & cnt2(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datad => cnt2(3),
	combout => \cnt2[3]~65_combout\);

-- Location: FF_X21_Y23_N19
\cnt2[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[3]~26_combout\,
	asdata => \cnt2[3]~65_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(3));

-- Location: LCCOMB_X21_Y23_N20
\cnt2[4]~28\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[4]~28_combout\ = (cnt2(4) & (\cnt2[3]~27\ $ (GND))) # (!cnt2(4) & (!\cnt2[3]~27\ & VCC))
-- \cnt2[4]~29\ = CARRY((cnt2(4) & !\cnt2[3]~27\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(4),
	datad => VCC,
	cin => \cnt2[3]~27\,
	combout => \cnt2[4]~28_combout\,
	cout => \cnt2[4]~29\);

-- Location: LCCOMB_X21_Y24_N30
\cnt2[4]~71\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[4]~71_combout\ = (\state_cur.DELAY~q\ & cnt2(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datad => cnt2(4),
	combout => \cnt2[4]~71_combout\);

-- Location: FF_X21_Y23_N21
\cnt2[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[4]~28_combout\,
	asdata => \cnt2[4]~71_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(4));

-- Location: LCCOMB_X21_Y23_N22
\cnt2[5]~30\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[5]~30_combout\ = (cnt2(5) & (!\cnt2[4]~29\)) # (!cnt2(5) & ((\cnt2[4]~29\) # (GND)))
-- \cnt2[5]~31\ = CARRY((!\cnt2[4]~29\) # (!cnt2(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(5),
	datad => VCC,
	cin => \cnt2[4]~29\,
	combout => \cnt2[5]~30_combout\,
	cout => \cnt2[5]~31\);

-- Location: LCCOMB_X21_Y23_N8
\cnt2[5]~68\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[5]~68_combout\ = (cnt2(5) & \state_cur.DELAY~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => cnt2(5),
	datad => \state_cur.DELAY~q\,
	combout => \cnt2[5]~68_combout\);

-- Location: FF_X21_Y23_N23
\cnt2[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[5]~30_combout\,
	asdata => \cnt2[5]~68_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(5));

-- Location: LCCOMB_X21_Y23_N24
\cnt2[6]~32\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[6]~32_combout\ = (cnt2(6) & (\cnt2[5]~31\ $ (GND))) # (!cnt2(6) & (!\cnt2[5]~31\ & VCC))
-- \cnt2[6]~33\ = CARRY((cnt2(6) & !\cnt2[5]~31\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(6),
	datad => VCC,
	cin => \cnt2[5]~31\,
	combout => \cnt2[6]~32_combout\,
	cout => \cnt2[6]~33\);

-- Location: LCCOMB_X21_Y24_N28
\cnt2[6]~69\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[6]~69_combout\ = (\state_cur.DELAY~q\ & cnt2(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datac => cnt2(6),
	combout => \cnt2[6]~69_combout\);

-- Location: FF_X21_Y23_N25
\cnt2[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[6]~32_combout\,
	asdata => \cnt2[6]~69_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(6));

-- Location: LCCOMB_X21_Y23_N26
\cnt2[7]~34\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[7]~34_combout\ = (cnt2(7) & (!\cnt2[6]~33\)) # (!cnt2(7) & ((\cnt2[6]~33\) # (GND)))
-- \cnt2[7]~35\ = CARRY((!\cnt2[6]~33\) # (!cnt2(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(7),
	datad => VCC,
	cin => \cnt2[6]~33\,
	combout => \cnt2[7]~34_combout\,
	cout => \cnt2[7]~35\);

-- Location: LCCOMB_X21_Y23_N2
\cnt2[7]~70\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[7]~70_combout\ = (cnt2(7) & \state_cur.DELAY~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => cnt2(7),
	datad => \state_cur.DELAY~q\,
	combout => \cnt2[7]~70_combout\);

-- Location: FF_X21_Y23_N27
\cnt2[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[7]~34_combout\,
	asdata => \cnt2[7]~70_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(7));

-- Location: LCCOMB_X21_Y23_N28
\cnt2[8]~36\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[8]~36_combout\ = (cnt2(8) & (\cnt2[7]~35\ $ (GND))) # (!cnt2(8) & (!\cnt2[7]~35\ & VCC))
-- \cnt2[8]~37\ = CARRY((cnt2(8) & !\cnt2[7]~35\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(8),
	datad => VCC,
	cin => \cnt2[7]~35\,
	combout => \cnt2[8]~36_combout\,
	cout => \cnt2[8]~37\);

-- Location: LCCOMB_X21_Y24_N0
\cnt2[8]~72\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[8]~72_combout\ = (\state_cur.DELAY~q\ & cnt2(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datad => cnt2(8),
	combout => \cnt2[8]~72_combout\);

-- Location: FF_X21_Y23_N29
\cnt2[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[8]~36_combout\,
	asdata => \cnt2[8]~72_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(8));

-- Location: LCCOMB_X21_Y23_N30
\cnt2[9]~38\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[9]~38_combout\ = (cnt2(9) & (!\cnt2[8]~37\)) # (!cnt2(9) & ((\cnt2[8]~37\) # (GND)))
-- \cnt2[9]~39\ = CARRY((!\cnt2[8]~37\) # (!cnt2(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(9),
	datad => VCC,
	cin => \cnt2[8]~37\,
	combout => \cnt2[9]~38_combout\,
	cout => \cnt2[9]~39\);

-- Location: LCCOMB_X21_Y24_N2
\cnt2[9]~73\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[9]~73_combout\ = (\state_cur.DELAY~q\ & cnt2(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datad => cnt2(9),
	combout => \cnt2[9]~73_combout\);

-- Location: FF_X21_Y23_N31
\cnt2[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[9]~38_combout\,
	asdata => \cnt2[9]~73_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(9));

-- Location: LCCOMB_X21_Y22_N0
\cnt2[10]~40\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[10]~40_combout\ = (cnt2(10) & (\cnt2[9]~39\ $ (GND))) # (!cnt2(10) & (!\cnt2[9]~39\ & VCC))
-- \cnt2[10]~41\ = CARRY((cnt2(10) & !\cnt2[9]~39\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(10),
	datad => VCC,
	cin => \cnt2[9]~39\,
	combout => \cnt2[10]~40_combout\,
	cout => \cnt2[10]~41\);

-- Location: LCCOMB_X21_Y24_N20
\cnt2[10]~74\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[10]~74_combout\ = (\state_cur.DELAY~q\ & cnt2(10))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datac => cnt2(10),
	combout => \cnt2[10]~74_combout\);

-- Location: FF_X21_Y22_N1
\cnt2[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[10]~40_combout\,
	asdata => \cnt2[10]~74_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(10));

-- Location: LCCOMB_X21_Y22_N2
\cnt2[11]~42\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[11]~42_combout\ = (cnt2(11) & (!\cnt2[10]~41\)) # (!cnt2(11) & ((\cnt2[10]~41\) # (GND)))
-- \cnt2[11]~43\ = CARRY((!\cnt2[10]~41\) # (!cnt2(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(11),
	datad => VCC,
	cin => \cnt2[10]~41\,
	combout => \cnt2[11]~42_combout\,
	cout => \cnt2[11]~43\);

-- Location: LCCOMB_X21_Y22_N30
\cnt2[11]~75\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[11]~75_combout\ = (\state_cur.DELAY~q\ & cnt2(11))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \state_cur.DELAY~q\,
	datad => cnt2(11),
	combout => \cnt2[11]~75_combout\);

-- Location: FF_X21_Y22_N3
\cnt2[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[11]~42_combout\,
	asdata => \cnt2[11]~75_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(11));

-- Location: LCCOMB_X21_Y22_N4
\cnt2[12]~44\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[12]~44_combout\ = (cnt2(12) & (\cnt2[11]~43\ $ (GND))) # (!cnt2(12) & (!\cnt2[11]~43\ & VCC))
-- \cnt2[12]~45\ = CARRY((cnt2(12) & !\cnt2[11]~43\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(12),
	datad => VCC,
	cin => \cnt2[11]~43\,
	combout => \cnt2[12]~44_combout\,
	cout => \cnt2[12]~45\);

-- Location: LCCOMB_X21_Y24_N22
\cnt2[12]~76\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[12]~76_combout\ = (\state_cur.DELAY~q\ & cnt2(12))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datad => cnt2(12),
	combout => \cnt2[12]~76_combout\);

-- Location: FF_X21_Y22_N5
\cnt2[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[12]~44_combout\,
	asdata => \cnt2[12]~76_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(12));

-- Location: LCCOMB_X21_Y22_N6
\cnt2[13]~46\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[13]~46_combout\ = (cnt2(13) & (!\cnt2[12]~45\)) # (!cnt2(13) & ((\cnt2[12]~45\) # (GND)))
-- \cnt2[13]~47\ = CARRY((!\cnt2[12]~45\) # (!cnt2(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(13),
	datad => VCC,
	cin => \cnt2[12]~45\,
	combout => \cnt2[13]~46_combout\,
	cout => \cnt2[13]~47\);

-- Location: LCCOMB_X21_Y24_N8
\cnt2[13]~77\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[13]~77_combout\ = (cnt2(13) & \state_cur.DELAY~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => cnt2(13),
	datad => \state_cur.DELAY~q\,
	combout => \cnt2[13]~77_combout\);

-- Location: FF_X21_Y22_N7
\cnt2[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[13]~46_combout\,
	asdata => \cnt2[13]~77_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(13));

-- Location: LCCOMB_X21_Y22_N8
\cnt2[14]~48\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[14]~48_combout\ = (cnt2(14) & (\cnt2[13]~47\ $ (GND))) # (!cnt2(14) & (!\cnt2[13]~47\ & VCC))
-- \cnt2[14]~49\ = CARRY((cnt2(14) & !\cnt2[13]~47\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(14),
	datad => VCC,
	cin => \cnt2[13]~47\,
	combout => \cnt2[14]~48_combout\,
	cout => \cnt2[14]~49\);

-- Location: LCCOMB_X21_Y24_N18
\cnt2[14]~78\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[14]~78_combout\ = (\state_cur.DELAY~q\ & cnt2(14))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datad => cnt2(14),
	combout => \cnt2[14]~78_combout\);

-- Location: FF_X21_Y22_N9
\cnt2[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[14]~48_combout\,
	asdata => \cnt2[14]~78_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(14));

-- Location: LCCOMB_X21_Y22_N10
\cnt2[15]~50\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[15]~50_combout\ = (cnt2(15) & (!\cnt2[14]~49\)) # (!cnt2(15) & ((\cnt2[14]~49\) # (GND)))
-- \cnt2[15]~51\ = CARRY((!\cnt2[14]~49\) # (!cnt2(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(15),
	datad => VCC,
	cin => \cnt2[14]~49\,
	combout => \cnt2[15]~50_combout\,
	cout => \cnt2[15]~51\);

-- Location: LCCOMB_X21_Y24_N4
\cnt2[15]~79\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[15]~79_combout\ = (\state_cur.DELAY~q\ & cnt2(15))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datac => cnt2(15),
	combout => \cnt2[15]~79_combout\);

-- Location: FF_X21_Y22_N11
\cnt2[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[15]~50_combout\,
	asdata => \cnt2[15]~79_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(15));

-- Location: LCCOMB_X21_Y24_N16
\Equal1~5\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal1~5_combout\ = (!cnt2(14) & (!cnt2(15) & (!cnt2(13) & !cnt2(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(14),
	datab => cnt2(15),
	datac => cnt2(13),
	datad => cnt2(12),
	combout => \Equal1~5_combout\);

-- Location: LCCOMB_X21_Y22_N12
\cnt2[16]~52\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[16]~52_combout\ = (cnt2(16) & (\cnt2[15]~51\ $ (GND))) # (!cnt2(16) & (!\cnt2[15]~51\ & VCC))
-- \cnt2[16]~53\ = CARRY((cnt2(16) & !\cnt2[15]~51\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(16),
	datad => VCC,
	cin => \cnt2[15]~51\,
	combout => \cnt2[16]~52_combout\,
	cout => \cnt2[16]~53\);

-- Location: LCCOMB_X21_Y24_N10
\cnt2[16]~54\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[16]~54_combout\ = (\state_cur.DELAY~q\ & cnt2(16))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datad => cnt2(16),
	combout => \cnt2[16]~54_combout\);

-- Location: FF_X21_Y22_N13
\cnt2[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[16]~52_combout\,
	asdata => \cnt2[16]~54_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(16));

-- Location: LCCOMB_X21_Y22_N14
\cnt2[17]~55\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[17]~55_combout\ = (cnt2(17) & (!\cnt2[16]~53\)) # (!cnt2(17) & ((\cnt2[16]~53\) # (GND)))
-- \cnt2[17]~56\ = CARRY((!\cnt2[16]~53\) # (!cnt2(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(17),
	datad => VCC,
	cin => \cnt2[16]~53\,
	combout => \cnt2[17]~55_combout\,
	cout => \cnt2[17]~56\);

-- Location: LCCOMB_X21_Y24_N12
\cnt2[17]~57\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[17]~57_combout\ = (\state_cur.DELAY~q\ & cnt2(17))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datac => cnt2(17),
	combout => \cnt2[17]~57_combout\);

-- Location: FF_X21_Y22_N15
\cnt2[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[17]~55_combout\,
	asdata => \cnt2[17]~57_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(17));

-- Location: LCCOMB_X21_Y22_N16
\cnt2[18]~58\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[18]~58_combout\ = (cnt2(18) & (\cnt2[17]~56\ $ (GND))) # (!cnt2(18) & (!\cnt2[17]~56\ & VCC))
-- \cnt2[18]~59\ = CARRY((cnt2(18) & !\cnt2[17]~56\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => cnt2(18),
	datad => VCC,
	cin => \cnt2[17]~56\,
	combout => \cnt2[18]~58_combout\,
	cout => \cnt2[18]~59\);

-- Location: LCCOMB_X21_Y24_N14
\cnt2[18]~60\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[18]~60_combout\ = (\state_cur.DELAY~q\ & cnt2(18))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datac => cnt2(18),
	combout => \cnt2[18]~60_combout\);

-- Location: FF_X21_Y22_N17
\cnt2[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[18]~58_combout\,
	asdata => \cnt2[18]~60_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(18));

-- Location: LCCOMB_X21_Y22_N18
\cnt2[19]~61\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[19]~61_combout\ = \cnt2[18]~59\ $ (cnt2(19))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => cnt2(19),
	cin => \cnt2[18]~59\,
	combout => \cnt2[19]~61_combout\);

-- Location: LCCOMB_X21_Y22_N20
\cnt2[19]~63\ : cycloneive_lcell_comb
-- Equation(s):
-- \cnt2[19]~63_combout\ = (\state_cur.DELAY~q\ & cnt2(19))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \state_cur.DELAY~q\,
	datad => cnt2(19),
	combout => \cnt2[19]~63_combout\);

-- Location: FF_X21_Y22_N19
\cnt2[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \cnt2[19]~61_combout\,
	asdata => \cnt2[19]~63_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	sclr => \Equal1~6_combout\,
	sload => \Equal0~6_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => cnt2(19));

-- Location: LCCOMB_X21_Y22_N28
\Equal1~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal1~0_combout\ = (!cnt2(16) & (!cnt2(19) & (!cnt2(17) & !cnt2(18))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(16),
	datab => cnt2(19),
	datac => cnt2(17),
	datad => cnt2(18),
	combout => \Equal1~0_combout\);

-- Location: LCCOMB_X21_Y22_N22
\Equal1~4\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal1~4_combout\ = (cnt2(8) & (!cnt2(11) & (!cnt2(9) & !cnt2(10))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(8),
	datab => cnt2(11),
	datac => cnt2(9),
	datad => cnt2(10),
	combout => \Equal1~4_combout\);

-- Location: LCCOMB_X21_Y23_N10
\Equal1~2\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal1~2_combout\ = (!cnt2(7) & !cnt2(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => cnt2(7),
	datad => cnt2(6),
	combout => \Equal1~2_combout\);

-- Location: LCCOMB_X21_Y23_N0
\Equal1~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal1~1_combout\ = (!cnt2(0) & (cnt2(3) & (!cnt2(1) & cnt2(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt2(0),
	datab => cnt2(3),
	datac => cnt2(1),
	datad => cnt2(2),
	combout => \Equal1~1_combout\);

-- Location: LCCOMB_X21_Y23_N4
\Equal1~3\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal1~3_combout\ = (\Equal1~2_combout\ & (\Equal1~1_combout\ & (cnt2(5) & !cnt2(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Equal1~2_combout\,
	datab => \Equal1~1_combout\,
	datac => cnt2(5),
	datad => cnt2(4),
	combout => \Equal1~3_combout\);

-- Location: LCCOMB_X21_Y22_N24
\Equal1~6\ : cycloneive_lcell_comb
-- Equation(s):
-- \Equal1~6_combout\ = (\Equal1~5_combout\ & (\Equal1~0_combout\ & (\Equal1~4_combout\ & \Equal1~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Equal1~5_combout\,
	datab => \Equal1~0_combout\,
	datac => \Equal1~4_combout\,
	datad => \Equal1~3_combout\,
	combout => \Equal1~6_combout\);

-- Location: LCCOMB_X15_Y23_N30
\Selector0~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Selector0~0_combout\ = (\fsm~0_combout\) # ((\state_cur.DELAY~q\ & !\Equal1~6_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \fsm~0_combout\,
	datac => \state_cur.DELAY~q\,
	datad => \Equal1~6_combout\,
	combout => \Selector0~0_combout\);

-- Location: FF_X15_Y23_N31
\state_cur.DELAY\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \Selector0~0_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \state_cur.DELAY~q\);

-- Location: LCCOMB_X15_Y23_N20
\state_cur.LED_ON~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \state_cur.LED_ON~0_combout\ = (\state_cur.LED_ON~q\) # ((\state_cur.DELAY~q\ & \Equal1~6_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \state_cur.DELAY~q\,
	datac => \state_cur.LED_ON~q\,
	datad => \Equal1~6_combout\,
	combout => \state_cur.LED_ON~0_combout\);

-- Location: FF_X15_Y23_N21
\state_cur.LED_ON\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLOCK_50~inputclkctrl_outclk\,
	d => \state_cur.LED_ON~0_combout\,
	clrn => \ALT_INV_GPIO_0[13]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \state_cur.LED_ON~q\);

-- Location: IOIBUF_X25_Y34_N15
\GPIO_0_IN[0]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_GPIO_0_IN(0),
	o => \GPIO_0_IN[0]~input_o\);

-- Location: IOIBUF_X25_Y34_N22
\GPIO_0_IN[1]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_GPIO_0_IN(1),
	o => \GPIO_0_IN[1]~input_o\);

-- Location: IOIBUF_X27_Y0_N1
\GPIO_1_IN[0]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_GPIO_1_IN(0),
	o => \GPIO_1_IN[0]~input_o\);

-- Location: IOIBUF_X27_Y0_N8
\GPIO_1_IN[1]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_GPIO_1_IN(1),
	o => \GPIO_1_IN[1]~input_o\);

-- Location: IOIBUF_X1_Y34_N1
\GPIO_0[1]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(1),
	o => \GPIO_0[1]~input_o\);

-- Location: IOIBUF_X7_Y34_N8
\GPIO_0[2]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(2),
	o => \GPIO_0[2]~input_o\);

-- Location: IOIBUF_X7_Y34_N15
\GPIO_0[3]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(3),
	o => \GPIO_0[3]~input_o\);

-- Location: IOIBUF_X3_Y34_N1
\GPIO_0[4]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(4),
	o => \GPIO_0[4]~input_o\);

-- Location: IOIBUF_X7_Y34_N1
\GPIO_0[5]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(5),
	o => \GPIO_0[5]~input_o\);

-- Location: IOIBUF_X9_Y34_N22
\GPIO_0[6]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(6),
	o => \GPIO_0[6]~input_o\);

-- Location: IOIBUF_X11_Y34_N1
\GPIO_0[7]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(7),
	o => \GPIO_0[7]~input_o\);

-- Location: IOIBUF_X14_Y34_N22
\GPIO_0[8]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(8),
	o => \GPIO_0[8]~input_o\);

-- Location: IOIBUF_X5_Y34_N15
\GPIO_0[9]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(9),
	o => \GPIO_0[9]~input_o\);

-- Location: IOIBUF_X16_Y34_N8
\GPIO_0[10]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(10),
	o => \GPIO_0[10]~input_o\);

-- Location: IOIBUF_X16_Y34_N1
\GPIO_0[11]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(11),
	o => \GPIO_0[11]~input_o\);

-- Location: IOIBUF_X18_Y34_N1
\GPIO_0[12]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(12),
	o => \GPIO_0[12]~input_o\);

-- Location: IOIBUF_X20_Y34_N22
\GPIO_0[14]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(14),
	o => \GPIO_0[14]~input_o\);

-- Location: IOIBUF_X18_Y34_N22
\GPIO_0[15]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(15),
	o => \GPIO_0[15]~input_o\);

-- Location: IOIBUF_X23_Y34_N15
\GPIO_0[16]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(16),
	o => \GPIO_0[16]~input_o\);

-- Location: IOIBUF_X14_Y34_N15
\GPIO_0[17]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(17),
	o => \GPIO_0[17]~input_o\);

-- Location: IOIBUF_X16_Y34_N15
\GPIO_0[18]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(18),
	o => \GPIO_0[18]~input_o\);

-- Location: IOIBUF_X23_Y34_N22
\GPIO_0[19]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(19),
	o => \GPIO_0[19]~input_o\);

-- Location: IOIBUF_X20_Y34_N8
\GPIO_0[20]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(20),
	o => \GPIO_0[20]~input_o\);

-- Location: IOIBUF_X20_Y34_N15
\GPIO_0[21]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(21),
	o => \GPIO_0[21]~input_o\);

-- Location: IOIBUF_X34_Y34_N1
\GPIO_0[22]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(22),
	o => \GPIO_0[22]~input_o\);

-- Location: IOIBUF_X29_Y34_N15
\GPIO_0[23]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(23),
	o => \GPIO_0[23]~input_o\);

-- Location: IOIBUF_X31_Y34_N1
\GPIO_0[24]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(24),
	o => \GPIO_0[24]~input_o\);

-- Location: IOIBUF_X31_Y34_N8
\GPIO_0[25]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(25),
	o => \GPIO_0[25]~input_o\);

-- Location: IOIBUF_X45_Y34_N8
\GPIO_0[26]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(26),
	o => \GPIO_0[26]~input_o\);

-- Location: IOIBUF_X45_Y34_N15
\GPIO_0[27]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(27),
	o => \GPIO_0[27]~input_o\);

-- Location: IOIBUF_X38_Y34_N1
\GPIO_0[28]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(28),
	o => \GPIO_0[28]~input_o\);

-- Location: IOIBUF_X40_Y34_N8
\GPIO_0[29]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(29),
	o => \GPIO_0[29]~input_o\);

-- Location: IOIBUF_X43_Y34_N15
\GPIO_0[30]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(30),
	o => \GPIO_0[30]~input_o\);

-- Location: IOIBUF_X51_Y34_N15
\GPIO_0[31]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(31),
	o => \GPIO_0[31]~input_o\);

-- Location: IOIBUF_X51_Y34_N22
\GPIO_0[32]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(32),
	o => \GPIO_0[32]~input_o\);

-- Location: IOIBUF_X43_Y34_N22
\GPIO_0[33]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_0(33),
	o => \GPIO_0[33]~input_o\);

-- Location: IOIBUF_X53_Y21_N22
\GPIO_1[0]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(0),
	o => \GPIO_1[0]~input_o\);

-- Location: IOIBUF_X45_Y0_N15
\GPIO_1[1]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(1),
	o => \GPIO_1[1]~input_o\);

-- Location: IOIBUF_X45_Y0_N22
\GPIO_1[2]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(2),
	o => \GPIO_1[2]~input_o\);

-- Location: IOIBUF_X40_Y0_N15
\GPIO_1[3]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(3),
	o => \GPIO_1[3]~input_o\);

-- Location: IOIBUF_X40_Y0_N22
\GPIO_1[4]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(4),
	o => \GPIO_1[4]~input_o\);

-- Location: IOIBUF_X36_Y0_N8
\GPIO_1[5]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(5),
	o => \GPIO_1[5]~input_o\);

-- Location: IOIBUF_X36_Y0_N15
\GPIO_1[6]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(6),
	o => \GPIO_1[6]~input_o\);

-- Location: IOIBUF_X36_Y0_N22
\GPIO_1[7]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(7),
	o => \GPIO_1[7]~input_o\);

-- Location: IOIBUF_X34_Y0_N15
\GPIO_1[8]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(8),
	o => \GPIO_1[8]~input_o\);

-- Location: IOIBUF_X34_Y0_N1
\GPIO_1[9]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(9),
	o => \GPIO_1[9]~input_o\);

-- Location: IOIBUF_X38_Y0_N1
\GPIO_1[10]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(10),
	o => \GPIO_1[10]~input_o\);

-- Location: IOIBUF_X34_Y0_N22
\GPIO_1[11]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(11),
	o => \GPIO_1[11]~input_o\);

-- Location: IOIBUF_X47_Y0_N22
\GPIO_1[12]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(12),
	o => \GPIO_1[12]~input_o\);

-- Location: IOIBUF_X38_Y0_N8
\GPIO_1[13]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(13),
	o => \GPIO_1[13]~input_o\);

-- Location: IOIBUF_X29_Y0_N1
\GPIO_1[14]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(14),
	o => \GPIO_1[14]~input_o\);

-- Location: IOIBUF_X43_Y0_N15
\GPIO_1[15]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(15),
	o => \GPIO_1[15]~input_o\);

-- Location: IOIBUF_X53_Y11_N8
\GPIO_1[16]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(16),
	o => \GPIO_1[16]~input_o\);

-- Location: IOIBUF_X53_Y12_N1
\GPIO_1[17]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(17),
	o => \GPIO_1[17]~input_o\);

-- Location: IOIBUF_X53_Y8_N22
\GPIO_1[18]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(18),
	o => \GPIO_1[18]~input_o\);

-- Location: IOIBUF_X53_Y11_N1
\GPIO_1[19]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(19),
	o => \GPIO_1[19]~input_o\);

-- Location: IOIBUF_X53_Y6_N15
\GPIO_1[20]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(20),
	o => \GPIO_1[20]~input_o\);

-- Location: IOIBUF_X53_Y7_N8
\GPIO_1[21]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(21),
	o => \GPIO_1[21]~input_o\);

-- Location: IOIBUF_X49_Y0_N1
\GPIO_1[22]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(22),
	o => \GPIO_1[22]~input_o\);

-- Location: IOIBUF_X53_Y9_N22
\GPIO_1[23]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(23),
	o => \GPIO_1[23]~input_o\);

-- Location: IOIBUF_X53_Y9_N15
\GPIO_1[24]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(24),
	o => \GPIO_1[24]~input_o\);

-- Location: IOIBUF_X49_Y0_N8
\GPIO_1[25]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(25),
	o => \GPIO_1[25]~input_o\);

-- Location: IOIBUF_X53_Y9_N8
\GPIO_1[26]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(26),
	o => \GPIO_1[26]~input_o\);

-- Location: IOIBUF_X53_Y6_N22
\GPIO_1[27]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(27),
	o => \GPIO_1[27]~input_o\);

-- Location: IOIBUF_X43_Y0_N22
\GPIO_1[28]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(28),
	o => \GPIO_1[28]~input_o\);

-- Location: IOIBUF_X53_Y10_N15
\GPIO_1[29]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(29),
	o => \GPIO_1[29]~input_o\);

-- Location: IOIBUF_X53_Y14_N8
\GPIO_1[30]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(30),
	o => \GPIO_1[30]~input_o\);

-- Location: IOIBUF_X53_Y13_N8
\GPIO_1[31]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(31),
	o => \GPIO_1[31]~input_o\);

-- Location: IOIBUF_X53_Y16_N8
\GPIO_1[32]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(32),
	o => \GPIO_1[32]~input_o\);

-- Location: IOIBUF_X53_Y15_N8
\GPIO_1[33]~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => GPIO_1(33),
	o => \GPIO_1[33]~input_o\);

ww_LED(0) <= \LED[0]~output_o\;

ww_LED(1) <= \LED[1]~output_o\;

ww_LED(2) <= \LED[2]~output_o\;

ww_LED(3) <= \LED[3]~output_o\;

ww_LED(4) <= \LED[4]~output_o\;

ww_LED(5) <= \LED[5]~output_o\;

ww_LED(6) <= \LED[6]~output_o\;

ww_LED(7) <= \LED[7]~output_o\;

GPIO_0(1) <= \GPIO_0[1]~output_o\;

GPIO_0(2) <= \GPIO_0[2]~output_o\;

GPIO_0(3) <= \GPIO_0[3]~output_o\;

GPIO_0(4) <= \GPIO_0[4]~output_o\;

GPIO_0(5) <= \GPIO_0[5]~output_o\;

GPIO_0(6) <= \GPIO_0[6]~output_o\;

GPIO_0(7) <= \GPIO_0[7]~output_o\;

GPIO_0(8) <= \GPIO_0[8]~output_o\;

GPIO_0(9) <= \GPIO_0[9]~output_o\;

GPIO_0(10) <= \GPIO_0[10]~output_o\;

GPIO_0(11) <= \GPIO_0[11]~output_o\;

GPIO_0(12) <= \GPIO_0[12]~output_o\;

GPIO_0(14) <= \GPIO_0[14]~output_o\;

GPIO_0(15) <= \GPIO_0[15]~output_o\;

GPIO_0(16) <= \GPIO_0[16]~output_o\;

GPIO_0(17) <= \GPIO_0[17]~output_o\;

GPIO_0(18) <= \GPIO_0[18]~output_o\;

GPIO_0(19) <= \GPIO_0[19]~output_o\;

GPIO_0(20) <= \GPIO_0[20]~output_o\;

GPIO_0(21) <= \GPIO_0[21]~output_o\;

GPIO_0(22) <= \GPIO_0[22]~output_o\;

GPIO_0(23) <= \GPIO_0[23]~output_o\;

GPIO_0(24) <= \GPIO_0[24]~output_o\;

GPIO_0(25) <= \GPIO_0[25]~output_o\;

GPIO_0(26) <= \GPIO_0[26]~output_o\;

GPIO_0(27) <= \GPIO_0[27]~output_o\;

GPIO_0(28) <= \GPIO_0[28]~output_o\;

GPIO_0(29) <= \GPIO_0[29]~output_o\;

GPIO_0(30) <= \GPIO_0[30]~output_o\;

GPIO_0(31) <= \GPIO_0[31]~output_o\;

GPIO_0(32) <= \GPIO_0[32]~output_o\;

GPIO_0(33) <= \GPIO_0[33]~output_o\;

GPIO_1(0) <= \GPIO_1[0]~output_o\;

GPIO_1(1) <= \GPIO_1[1]~output_o\;

GPIO_1(2) <= \GPIO_1[2]~output_o\;

GPIO_1(3) <= \GPIO_1[3]~output_o\;

GPIO_1(4) <= \GPIO_1[4]~output_o\;

GPIO_1(5) <= \GPIO_1[5]~output_o\;

GPIO_1(6) <= \GPIO_1[6]~output_o\;

GPIO_1(7) <= \GPIO_1[7]~output_o\;

GPIO_1(8) <= \GPIO_1[8]~output_o\;

GPIO_1(9) <= \GPIO_1[9]~output_o\;

GPIO_1(10) <= \GPIO_1[10]~output_o\;

GPIO_1(11) <= \GPIO_1[11]~output_o\;

GPIO_1(12) <= \GPIO_1[12]~output_o\;

GPIO_1(13) <= \GPIO_1[13]~output_o\;

GPIO_1(14) <= \GPIO_1[14]~output_o\;

GPIO_1(15) <= \GPIO_1[15]~output_o\;

GPIO_1(16) <= \GPIO_1[16]~output_o\;

GPIO_1(17) <= \GPIO_1[17]~output_o\;

GPIO_1(18) <= \GPIO_1[18]~output_o\;

GPIO_1(19) <= \GPIO_1[19]~output_o\;

GPIO_1(20) <= \GPIO_1[20]~output_o\;

GPIO_1(21) <= \GPIO_1[21]~output_o\;

GPIO_1(22) <= \GPIO_1[22]~output_o\;

GPIO_1(23) <= \GPIO_1[23]~output_o\;

GPIO_1(24) <= \GPIO_1[24]~output_o\;

GPIO_1(25) <= \GPIO_1[25]~output_o\;

GPIO_1(26) <= \GPIO_1[26]~output_o\;

GPIO_1(27) <= \GPIO_1[27]~output_o\;

GPIO_1(28) <= \GPIO_1[28]~output_o\;

GPIO_1(29) <= \GPIO_1[29]~output_o\;

GPIO_1(30) <= \GPIO_1[30]~output_o\;

GPIO_1(31) <= \GPIO_1[31]~output_o\;

GPIO_1(32) <= \GPIO_1[32]~output_o\;

GPIO_1(33) <= \GPIO_1[33]~output_o\;

GPIO_0(0) <= \GPIO_0[0]~output_o\;

GPIO_0(13) <= \GPIO_0[13]~output_o\;
END structure;


